Anonymous Login
2019-09-22 03:41 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000016OpenClonkEnginepublic2013-11-06 11:46
ReporterK-Duke 
Assigned ToIsilkor 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSUbuntuOS Version9.04/2.6.28-13
Product Version 
Target VersionFixed in Version 
Summary0000016: Switching to wrong resolution/refresh rate at startup
DescriptionWhen starting OpenClonk (build from git with g++-4.3) the engine tries to swtich to a resolution of 800x600 at 60.0 Hz refresh rate. Though as my monitor is not able to display such a resolution it just display "Frequency out of range".
My system can be viewed in the additional informations.
Steps To ReproduceStart OpenClonk under Ubuntu 9.04.
Additional InformationSystem:
Intel Core 2 Duo 1.86 Ghz, clocked at 3.01 Ghz
2048MB DDR2 @ 900 Mhz
nVidia GeForce 7600 GT @ driver version 180
Hanns-G Monitor HU196D
Kernel: 2.6.28-13-generic
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000036

K-Duke (reporter)

I wonder if there is a possibility to check if the modechange is valid (even if the change itself is succesfull) by querying the monitor for info.

As a current workaround I've added following code to standard/src/StdXApp.cpp

Right beneath the method head of CStdApp::SetVideoMode

if(iXRes == 800)
{
    iXRes = 1024;
    iYRes = 768;
}

~0000037

Isilkor (developer)

Last edited: 2009-07-02 23:33

Yes, OC should enumerate display modes instead of just assuming 800x600 is always valid. I think we already have an enumeration routine for the options dialog, so this might be addressed in one of the next commits.

> I wonder if there is a possibility to check if the modechange is valid
This is probably not possible without talking to the hardware directly, but IMO it's the driver's responsibility to check the monitor's supported display modes via DDC and refuse to switch to another one, if only to avert damage from the monitor. Nonetheless this issue should be fixed, obviously.

~0000038

Isilkor (developer)

I believe changeset ab1cd6b50e4a fixes this issue. If your configuration file specifies a resolution your driver does not support, OC chooses a supported one so you can at least change resolution via the options dialog.
+Notes

-Issue History
Date Modified Username Field Change
2009-07-02 23:19 K-Duke New Issue
2009-07-02 23:28 K-Duke Note Added: 0000036
2009-07-02 23:30 Isilkor Note Added: 0000037
2009-07-02 23:30 Isilkor Projection none => minor fix
2009-07-02 23:30 Isilkor Status new => acknowledged
2009-07-02 23:33 Isilkor Note Edited: 0000037
2009-07-03 00:25 Isilkor Note Added: 0000038
2009-07-03 00:25 Isilkor Status acknowledged => resolved
2009-07-03 00:25 Isilkor Resolution open => fixed
2009-07-03 00:25 Isilkor Assigned To => Isilkor
2009-10-14 23:12 Isilkor Status resolved => closed
2013-11-06 11:46 Newton Fixed in Version => 1.0
+Issue History